=== debian/changelog ===
qbittorrent (4.2.5-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
    - Fixes crashes when download is deleted or complete.
      (Closes: #962645, #962716)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 17:59:56 +0300

qbittorrent (4.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #946449). 
  * debian/control:
   - Switch dependency to python3 (Closes: #938311).
   - Bump Standards-Version to 4.5.0.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 23 Apr 2020 19:33:57 -0400
