## qbittorrent 4.3.1

=== debian/changelog ===
qbittorrent (4.3.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Allow progress bar styling from custom themes.
    - Allow adding torrents using “Paste” key sequence.
    - Add Latgalian translation.
    - Avoid settings being reset via WebAPI.
    - WEBUI: Fix the issue that IPv6 address can’t be banned.
    - Update .desktop shortcut file translations for Linux.
    - Various bug-fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Nov 2020 14:15:21 -0800

qbittorrent (4.3.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Many UI elements colors are themeable now.
    - Allow changing GUI icons from theme bundles.
    - Notify user when torrent moving finished.
    - Shortcut CTRL + I opens Statistics window.
    - Add RSS functionality in Web UI.
    - Drop “.unwanted folder” feature.
    - Expose libtorrent peer_turnover, max_concurrent_http_announces,
      no_connect_privileged_ports settings.
    - Various bug fixes.

  * Bump libtotorrent-rasterbar-dev BD to >= 1.2.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Oct 2020 09:03:44 -0700

qbittorrent (4.2.5-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - BUGFIX: Fix crash when torrent is deleted on limit reached (glassez)
    - BUGFIX: Register datatype properly (Chocobo1)
    - WEBUI: Add ability to send custom HTTP headers (Chocobo1)
    - WEBUI: Expand RSS related API (Sepro)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Apr 2020 07:30:00 -0700
