=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.2),
-               libboost-dev,
-               libqt5svg5-dev,
-               qtbase5-dev (>= 5.2.0),
-               qttools5-dev-tools,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               libboost-dev (>= 1.40),
+               libqt5svg5-dev (>= 5.9.0),
+               libtorrent-rasterbar-dev (>= 1.2),
+               qtbase5-dev (>= 5.9.0),
+               qttools5-dev-tools (>= 5.9.0),
+               zlib1g-dev (>= 1.2.5.2)
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
 Homepage: http://www.qbittorrent.org/
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         python3, geoip-database
-Suggests: qbittorrent-dbg
+Depends: geoip-database, python3 (>= 3.3.0), ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
@@ -43,7 +42,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
@@ -63,15 +62,3 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
-
-Package: qbittorrent-dbg
-Architecture: any
-Section: debug
-Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for qbittorrent and qbittorrent-nox
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
- user interface. qBittorrent is a feature rich but lightweight client that is
- very similar to uTorrent.
- .
- This package contains the debugging symbols for qbittorrent and
- qbittorrent-nox.
