## qbittorrent 4.3.2

=== debian/changelog ===
qbittorrent (4.3.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Allow to add root folder to torrent content
    - FEATURE: "HTTPS tracker validation" option is available on all platforms
      with latest libtorrent
    - FEATURE: Option for supporting internationalized domain names (IDNs)
    - BUGFIX: Fix broken sorting on some columns
    - BUGFIX: Fix availability per file value
    - BUGFIX: Fix status of torrents without metadata
    - BUGFIX: Don't try to remove folders for a torrent without metadata
    - BUGFIX: Lift upper limit of "Max concurrent HTTP announces" option
    - BUGFIX: Add links to libtorrent documentation
    - BUGFIX: Move "embedded tracker" options to qbt section
    - BUGFIX: Properly handle "Append extension" option changing
    - BUGFIX: Correctly save paused torrent state
    - BUGFIX: Fix bug of "move storage job" can be performed multiple times
    - WEBUI: Add ability to use 'shift+delete' to delete torrents
    - WEBUI: Allow to attach tags while adding torrents
    - WEBUI: Bump version to 2.6.2
    - WEBUI: Remove unnecessary restriction on input length
    - OTHER: Drop support for building with libtorrent < 1.2.11

  * Bump minimum versions of build-deps up to those now in CMakeLists.txt.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Dec 2020 08:56:12 -0800
