=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libboost-dev (>= 1.40),
-               libqt5svg5-dev (>= 5.9.0),
-               libtorrent-rasterbar-dev (>= 1.2),
-               qtbase5-dev (>= 5.9.0),
-               qttools5-dev-tools (>= 5.9.0),
-               zlib1g-dev (>= 1.2.5.2)
+               libboost-dev (>= 1.65),
+               libqt5svg5-dev (>= 5.9.5),
+               libtorrent-rasterbar-dev (>= 1.2.11),
+               qtbase5-dev (>= 5.9.5),
+               qttools5-dev-tools (>= 5.9.5),
+               zlib1g-dev (>= 1.2.11)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
