## qbittorrent 4.3.3

=== debian/changelog ===
qbittorrent (4.3.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: New languages: Azerbaijani, Estonian
    - BUGFIX: Unify global speed dialogs for normal/alternative speeds (thalieht)
    - BUGFIX: Increase maximum global speed limits ~2 GiB/s (thalieht)
    - BUGFIX: Save fastresume when setting torrent speed limits (thalieht)
    - BUGFIX: Group several torrent options into one dialog (thalieht)
    - BUGFIX: Capitalize locale names (Chocobo1)
    - BUGFIX: Improve content file/folder names handling (glassez)
    - BUGFIX: Drop notification about move storage finished or failed (glassez)
    - BUGFIX: Reload "missing files" torrent instead of re-checking (glassez)
    - BUGFIX: Remember dialog sizes (Chocobo1)
    - BUGFIX: Improve detection of file extension string (Chocobo1)
    - WEBUI: Don't call non-existent elements (glassez)
    - WEBUI: Update "Keep top-level folder" in WebUI options (thalieht)
    - MACOS: QMake: Raise minimal macOS target version to 10.14 (glassez)
    - LINUX: Use legacy 'data' directory only as a fallback (lbilli)
    - OTHER: Bump project requirement to C++17 (Chocobo1)

  * Disable kfreebsd-detection.patch; it needs refreshing, but has no purpose
    on MX.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jan 2021 06:40:50 -0800
