## qbittorrent 4.3.9

=== debian/changelog ===
qbittorrent (4.3.9-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Nov 2021 15:25:53 -0800

qbittorrent (4.3.8-1) experimental; urgency=medium

  * New maintainer (Closes: #995077)
  * New upstream release (Closes: #972557)
  * Remove unneeded qbittorrent-dbg package (Closes: #876928)
  * Bump Standards-Version to 4.6.0 (No change)
  * Upgrade to debhelper-compat 13

 -- Christian Marillat <marillat@debian.org>  Thu, 30 Sep 2021 15:04:51 +0200
