## qbittorrent 4.4.0

=== debian/changelog ===
qbittorrent (4.4.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jan 2022 11:54:45 -0800

qbittorrent (4.4.0-2) unstable; urgency=medium

  * Don't need to Depends on geoip-database package. It uses DB-IP database.
    (Closes: #1003421)
  * Should depends on libqt5sql5-sqlite. An experimental function has been
    added to store/load fastresume/torrent files in an SQLite database
    (Closes: #1003422)

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Jan 2022 09:01:22 +0100

qbittorrent (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright

 -- Christian Marillat <marillat@debian.org>  Fri, 07 Jan 2022 09:53:51 +0100

qbittorrent (4.3.9-2) unstable; urgency=medium

  * Remove uptream hack for HDPI display related to Windows.

 -- Christian Marillat <marillat@debian.org>  Tue, 21 Dec 2021 15:53:46 +0100

qbittorrent (4.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 02 Dec 2021 15:23:02 +0100
