=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
-Homepage: http://www.qbittorrent.org/
+Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
-               libboost-dev (>= 1.65),
-               libqt5svg5-dev (>= 5.11),
-               libtorrent-rasterbar-dev (>= 1.2.12),
-               qtbase5-dev (>= 5.11),
-               qttools5-dev-tools (>= 5.11),
-               zlib1g-dev  (>= 1.2.11)
+               libboost-dev,
+               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 1.1.2),
+               qtbase5-dev (>= 5.2.0),
+               qttools5-dev-tools,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: geoip-database, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -38,7 +38,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
