=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 include /usr/share/dpkg/buildflags.mk
 
 %:
@@ -30,4 +31,4 @@
 	dh_auto_clean --builddirectory build-gui
 
 override_dh_strip:
-	dh_strip -a --dbg-package=qbittorrent-dbg
+	dh_strip --no-automatic-dbgsym
